    import YXmlEvent from 'yjs/src/Types/YXml/YXmlEvent.js'

public class | source

# YXmlEvent

#### Extends:

YEvent → YXmlEvent

An Event that describes changes on a YXml Element or Yxml Fragment

## Constructor Summary

Public Constructor
public | constructor () |

## Member Summary

Public Members
public | attributesChanged : * |
public | childListChanged : boolean |
public | remote : * |

## Inherited Summary

From class YEvent
public get | path : * Computes the path from `y` to the changed type. |
public | currentTarget : YType The current target on which the observe callback is called. |
public | target : YType The type on which this event was created on. |

## Public Constructors

### public constructor() source

#### Override:

YEvent#constructor

## Public Members

### public attributesChanged: * source

### public childListChanged: boolean source

### public remote: * source